Subject: Re: bug#3746: M-r in comint mode should use isearch

From: Juri Linkov <[email-masked]>
Date: Thu, 09 Jul 2009 02:27:45 +0300

> The general objection is rather Occam's razor: _Why_ add such complexity?
> What is gained? Occasionally the added convenience of having a single key
> to use makes a DWIM command worth it. But usually not.

This case is an exception.

C-r is the most frequent key I use in bash running in xterm because
it is very convenient to search for old commands in the shell history.
I suppose the same is true for other users.

Using a different key in Emacs for the same functionality
will cause too much trouble.  Just imagine when you have a habit
typing C-r to search on the shell history, typing it in the Emacs
shell buffer will not do what you mean.  This recalls that
Emacs has a different key M-r.  Then switching back to xterm
and typing M-r: Ahh, that M-r is valid only in Emacs,
but in xterm it is C-r.  Arrrgh!

I think having two different keys for the same functionality
(C-r and M-r for Isearch on the history) is worse than having
the same key for different contexts (the shell prompt or the
rest of the shell buffer).

-- 
Juri Linkov
http://www.jurta.org/emacs/